Imports Microsoft.VisualBasic
Imports System.Windows.Forms
Imports System.Drawing
Imports System.Math
Imports System
Imports System.Diagnostics
Imports System.Web
Imports System.Configuration
Imports System.Net
Imports System.Net.Sockets
Imports System.Text.RegularExpressions
Imports System.Text
Imports System.Collections.Generic
Imports System.Collections
Imports System.Runtime.InteropServices

Public Class Script
	Public Shared Sub Main(ByVal s() As String)
		Method1
		Do
			Application.DoEvents
			Threading.Thread.Sleep(1)
		Loop Until ExitFlag
	End Sub
End Class



Module Test

	Public ExitFlag As Boolean = False
	Private WithEvents Form1 As Form
	Friend WithEvents PictureBox1 As PictureBox

	Sub Method1()
		Form1 = New Form
		Form1.Show
		Timer1.Interval = 20
		Timer1.Start
	End Sub

	Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Form1.Load
		PictureBox1 = New PictureBox
		Form1.Controls.Add(PictureBox1)
		With PictureBox1
			.Width = Form1.Width
			.Height = Form1.Height
			'.BackColor = Color.Green
			.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or _
							System.Windows.Forms.AnchorStyles.Left Or _
							System.Windows.Forms.AnchorStyles.Right Or _
							System.Windows.Forms.AnchorStyles.Top), _
							System.Windows.Forms.AnchorStyles)
		End With
		InitPictureboxImage(PictureBox1)
		Form1.Show
		form1.TopMost = True
	End Sub
	
	Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Form1.FormClosing
		Timer1.Stop
		ExitFlag = True
		'Application.Exit
		'Application.ExitThread
		'End
	End Sub
	
	Private Sub Form1_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Form1.Resize
		InitPictureboxImage(PictureBox1)
		Test_Circles(PictureBox1)
		Test_Lines(PictureBox1)
		PictureBox1.refresh
	End Sub


	' ------------------------------------------------------
	'	Common functions
	' ------------------------------------------------------
	Friend Sub InitPictureboxImage(ByVal pbox As PictureBox)
	With pbox
		If .ClientSize.Height < 1 Then Return
		.Image = New Bitmap(.ClientSize.Width, .ClientSize.Height)
	End With
End Sub
	
	Private WithEvents Timer1 As System.Windows.Forms.Timer = New System.Windows.Forms.Timer

	Private Sub Timer1_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Timer1.Tick
		Test_Circles(PictureBox1)
		Test_Lines(PictureBox1)
		PictureBox1.refresh
	End Sub



	' ------------------------------------------------------
	'	Test Lines
	' ------------------------------------------------------

	Sub Test_Lines(ByVal pbox As PictureBox)

		Dim div As Double = 64
		Dim x1 As Double
		Dim y1 As Double
		Dim x2 As Double
		Dim y2 As Double
		Dim x3 As Double
		Dim y3 As Double
		Dim x4 As Double
		Dim y4 As Double
		Dim dx1 As Double
		Dim dx2 As Double
		Dim dy1 As Double
		Dim dy2 As Double
		Dim f As Double

		Dim w As Int32 = pbox.width
		Dim h As Int32 = pbox.Height

		Dim g As Graphics = Graphics.FromImage(pbox.Image)

		For i As Int32 = 1 To 10
			Dim p As pen = New pen(color.fromargb(CInt(rnd*255),CInt(rnd*255), CInt(rnd*255)))

			dx1 = w * Rnd: dy1 = h * Rnd
			dx2 = w * Rnd: dy2 = h * Rnd
			x3 = ((dx1 - x1) / div): y3 = ((dy1 - y1) / div)
			x4 = ((dx2 - x2) / div): y4 = ((dy2 - y2) / div)
			For f = 1 To 80
				x1 = x1 + x3: y1 = y1 + y3
				x2 = x2 + x4: y2 = y2 + y4
				g.drawLine (p, CInt(x1), CInt(y1), CInt(x2), CInt(y2))
			Next
		Next
		'pbox.Refresh
	End Sub

' ------------------------------------------------------
	'	Test Circles
	' ------------------------------------------------------

	Private Sub Test_Circles(ByVal pbox As PictureBox)

		Dim g As Graphics = Graphics.FromImage(pbox.Image)

		Dim r As Int32
		Dim x As Int32
		Dim y As Int32
		Dim b As SolidBrush
		Dim cr As Int32
		Dim cg As Int32
		Dim cb As Int32
		Dim w As Int32 = pbox.width
		Dim h As Int32 = pbox.Height

		For i As Int32 = 1 To 40
			r = CInt(20 + 40 * Rnd())
			x = CInt(w * Rnd())
			y = CInt(h * Rnd())
			cr = CInt(50 + 70 * Rnd())
			cg = CInt(50 + 70 * Rnd())
			cb = CInt(50 + 70 * Rnd())

			For r2 As Int32 = r To 1 Step -1
				b = New SolidBrush(Color.FromArgb(cr, cg, cb))
				g.FillEllipse(b, x - r2 \ 3, y - r2 \ 3, r2, r2)
				cr = min(cr + 5, 255)
				cg = min(cg + 4, 255)
				cb = min(cb + 4, 255)
			Next
		Next

		'pbox.refresh
	End Sub

End Module